Package com.xebialabs.xlrelease.domain.environments

# Class Environment

java.lang.Object
com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem
com.xebialabs.xlrelease.domain.BaseConfiguration
com.xebialabs.xlrelease.domain.environments.Environment

All Implemented Interfaces:
  `ConfigurationItem`, `Serializable`, `Comparable<BaseConfigurationItem>`

@Metadata(versioned=false, root=CONFIGURATION) public class Environment extends BaseConfiguration

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `id, syntheticProperties, type`

  ### Fields inherited from interface com.xebialabs.deployit.plugin.api.udm.ConfigurationItem

  `SYNTHETIC_PROPERTIES_FIELD, TYPE_FIELD`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Environment()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCorrelationUid()`
  `DeploymentTarget`
  `getDeploymentTarget()`
  `String`
  `getDescription()`
  `List<EnvironmentLabel>`
  `getLabels()`
  `EnvironmentStage`
  `getStage()`
  `String`
  `getTitle()`
  `void`
  `setCorrelationUid(String correlationUid)`
  `void`
  `setDeploymentTarget(DeploymentTarget deploymentTarget)`
  `void`
  `setDescription(String description)`
  `void`
  `setLabels(List<EnvironmentLabel> labels)`
  `void`
  `setStage(EnvironmentStage stage)`
  `void`
  `setTitle(String title)`

  ### Methods inherited from class com.xebialabs.xlrelease.domain.BaseConfiguration

  `getFolderId, hasId, isSupportedOn, setFolderId`

  ### Methods inherited from class com.xebialabs.deployit.plugin.api.udm.base.BaseConfigurationItem

  `compareTo, equals, get$ciAttributes, get$directoryReference, get$externalProperties, get$internalId, get$referenceId, get$securedCi, get$securedDirectoryReference, get$token, get$validationMessages, getId, getName, getProperty, getPropertyDescriptor, getType, hashCode, hasProperty, set$ciAttributes, set$directoryReference, set$externalProperties, set$internalId, set$referenceId, set$securedCi, set$securedDirectoryReference, set$token, set$validationMessages, setId, setProperty, setType, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Environment

    public Environment()

- ## Method Details

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)

  - ### getTitle

    public String getTitle()
    Overrides:
      `getTitle` in class `BaseConfiguration`

  - ### setTitle

    public void setTitle(String title)
    Overrides:
      `setTitle` in class `BaseConfiguration`

  - ### getCorrelationUid

    public String getCorrelationUid()

  - ### setCorrelationUid

    public void setCorrelationUid(String correlationUid)

  - ### getStage

    public EnvironmentStage getStage()

  - ### setStage

    public void setStage(EnvironmentStage stage)

  - ### getLabels

    public List<EnvironmentLabel> getLabels()

  - ### setLabels

    public void setLabels(List<EnvironmentLabel> labels)

  - ### getDeploymentTarget

    public DeploymentTarget getDeploymentTarget()

  - ### setDeploymentTarget

    public void setDeploymentTarget(DeploymentTarget deploymentTarget)